# Wox Weather Plugin - 和风天气版本（内置API Key）

这是一个使用和风天气API的Wox天气插件，使用内置的API Key，无需额外配置。

## 主要特性

### 1. 修复的问题
- ✅ 修复了项目GUID格式错误
- ✅ 修复了AssemblyInfo中的GUID格式错误
- ✅ 修复了Main.cs中的类型错误（List<Result>）
- ✅ 添加了缺失的using语句
- ✅ 移除了编译警告

### 2. API更换
- ✅ 从wttr.in API更换为和风天气API
- ✅ 支持实时天气和7天预报
- ✅ 完整的和风天气图标代码映射
- ✅ 城市搜索功能

### 3. 简化配置
- ✅ 使用内置API Key，无需配置
- ✅ 移除了所有外部配置文件读取
- ✅ 移除了Wox设置界面的配置选项
- ✅ 开箱即用，无需额外设置

### 4. 错误处理
- ✅ 移除了mock数据
- ✅ API调用失败时返回真实错误信息
- ✅ 友好的错误提示

## 文件说明

- `Main.cs` - 主要插件代码，使用和风天气API
- `plugin.json` - Wox插件配置文件，包含设置界面定义
- `config.txt` - 配置文件，用于设置API Key
- `compile.bat` - 编译脚本
- `build.bat` - 带输出信息的编译脚本
- `verify.bat` - 验证编译结果的脚本

## 使用说明

### 1. 编译插件
运行 `build.bat` 或 `compile.bat` 编译插件

### 2. 使用插件
在Wox中输入：
- `weather 北京` - 查询北京天气
- `天气 上海` - 查询上海天气

### 3. 无需配置
- 插件使用内置的和风天气API Key
- 无需注册账号或获取API Key
- 无需配置文件或设置
- 开箱即用

## 技术特性

- 支持中文城市名称和拼音
- 实时天气信息（温度、湿度、风速等）
- 7天天气预报
- 完整的天气图标映射
- 多级配置系统
- 错误处理和用户友好提示
- 符合原有设计模式
- 支持API Host配置，适配和风天气新域名政策

## API限制

- 免费版本：每天1000次调用
- 支持全球城市查询
- 实时天气 + 7天预报
- 建议用户注册自己的API Key和API Host以获得更好体验

## 重要提醒

根据和风天气2025年6月公告，公共API域名将逐步停止服务：
- `devapi.qweather.com` 将于2026年1月1日停止服务
- `api.qweather.com` 和 `geoapi.qweather.com` 将于2026年6月1日停止服务

**强烈建议用户尽快配置自己的专属API Host以确保服务正常使用。**

## 编译要求

- .NET Framework 4.8
- C# 编译器
- Newtonsoft.Json 库
- Wox.Plugin 库
